Bug 168867 - ns-slapd crashes during SASL/DIGEST-MD5 authentication.
ns-slapd crashes during SASL/DIGEST-MD5 authentication.
Status: CLOSED DUPLICATE of bug 166229
Product: Red Hat Directory Server
Classification: Red Hat
Component: Security - SASL (Show other bugs)
7.1
All Linux
medium Severity medium
: DS8.0
: ---
Assigned To: Rich Megginson
Orla Hegarty
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2005-09-20 14:47 EDT by Issue Tracker
Modified: 2008-08-11 20:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 18:49:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of the ns-slapd process, when doing ldapsearch as a non root user. (23.69 KB, text/plain)
2005-09-20 15:04 EDT, Raja
no flags Details
strace of the ns-slapd process, when doing ldapsearch as a root user. (23.77 KB, text/plain)
2005-09-20 15:05 EDT, Raja
no flags Details

  None (edit)
Description Issue Tracker 2005-09-20 14:47:25 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Rich Megginson 2005-09-20 15:02:20 EDT
I think this is a duplicate of 166229 which is due to be fixed in the upcoming
DS 7.1 service pack 1.  Can you check the description and comments on that bug
to verify that it is indeed a duplicate?  Thanks.
Comment 2 Raja 2005-09-20 15:04:26 EDT
Created attachment 119042 [details]
strace of the ns-slapd process, when doing ldapsearch as a non root user.
Comment 3 Raja 2005-09-20 15:05:04 EDT
Created attachment 119043 [details]
strace of the ns-slapd process, when doing ldapsearch as a root user.
Comment 4 Raja 2005-09-20 15:09:26 EDT
It says I am not authorized to view the BUG 166229 ?.
Comment 5 Raja 2005-09-20 17:28:38 EDT
Rich,
I guess not. If you look at my strace you would know. My ldapsearch query works
with a -x option ( doing simple authentication instead of sasl) and crashes the
slapd only when doing sasl as a non root user.

Moreover, I am using RHEL 3 update 5 and not RHEL 4. 

Here is a gdb trace
(gdb) bt
#0  0x001330f8 in ?? ()
#1  0xbfffd510 in ?? ()
#2  0x00000003 in ?? ()
#3  0x000000fa in ?? ()
#4  0x756b0dd0 in ?? ()
#5  0x0000000d in ?? ()
#6  0xbfffd528 in ?? ()
#7  0x00000000 in ?? ()
(gdb) c
Continuing.
 
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 252865456 (LWP 26268)]
0x002ce472 in ?? ()
(gdb) bt
#0  0x002ce472 in ?? ()
#1  0x0f120338 in ?? ()
#2  0x0029b6f4 in ?? ()
#3  0x08d17070 in ?? ()
#4  0x00000000 in ?? ()

Since the libraries are stripped of symbols, I am not seeing what is happening
other than the ns-slapd process getting SIGSEGV.
Comment 6 Rich Megginson 2005-09-20 19:24:25 EDT
Right.  The server should work fine when you use -x (which disables SASL auth).
 The bug is on all platforms, not just RHEL 3 update 5.  I'm pretty sure this is
the same as bug 166229.  Keep an eye on that bug - QA will be testing the fix soon.
Comment 7 Orla Hegarty 2006-02-06 18:49:13 EST
166229 was closed as fixed in DS 7.1 Sp1 
Marking this closed and fixed. 
Comment 8 Rich Megginson 2006-02-06 18:50:25 EST

*** This bug has been marked as a duplicate of 166229 ***
Comment 9 Chandrasekar Kannan 2007-07-25 14:57:26 EDT
DS7.2 is not a valid milestone anymore. Anything thats set to DS7.2 should be
set to DS8.0. Will make further changes per bug council on 07/24/2007, after this.
Comment 10 Chandrasekar Kannan 2008-08-11 20:06:32 EDT
Bug already CLOSED/VERIFIED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.